import axios from "../../utils/axios";
import { stringToUrl } from '@/common/js/utils';

// 获取分销列表
export function Api_getPageProportion(params) {
  return axios.get(`/SZWL-SERVER/tProportion/pageProportion`, { params });
}

// 获取单个分销
export function Api_getDistriDetail(params) {
  return axios.get(`/SZWL-SERVER/tProportion/getById`, { params });
}

// 撤销分销申请

export function Api_cancelDistri(params) {
  return axios.post(`/SZWL-SERVER/tProportionCheck/update?${stringToUrl(params)}`, { params });
}

// 获取待审核记录
export function Api_getCheckPending(params) {
  return axios.get(`/SZWL-SERVER/tProportionCheck/getCheckPending`, { params });
}
